#!/bin/sh
# reinhard@finalmedia.de
# Mo 20. Mär 13:21:28 CET 2023

# read all icons in subdirectory "icons"
# and place them on screen

test "$1" = "" && dir="$(dirname "$0")/icons/" || dir="$1"

cd "$dir"

min=0
max="$(fbenv sh -c 'echo $SCREEN_WIDTH')"

ox=$min; oy=0;
find -name "*.txt.gz" | while read name
do
# parallel draw as background task
(echo "o $ox $oy"; zcat "$name") | fbenv fbdraw > /dev/null &
ox=$((ox+64))
test $ox -gt $max && ox=$min && oy=$((oy+64))
done

sleep 3
