#!/bin/sh

cd "$(dirname "$0")"

W="$(fbenv sh -c 'echo $SCREEN_WIDTH')"

min=$((W/2))
max=$W

ox=$min; oy=0;
ls -1 images/*.txt.gz | while read name
do
echo "$name"
(echo "o $ox $oy"; zcat "$name") | fbenv fbdraw > /dev/null
ox=$((ox+64))
test $ox -gt $max && ox=$min && oy=$((oy+64))
done
